Changes between Version 23 and Version 24 of Ticket #11616


Ignore:
Timestamp:
04/05/12 16:04:14 (9 years ago)
Author:
leif
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #11616 – Description

    v23 v24  
    6262----
    6363
    64 The following spkgs are based on the MPIR 2.1.3.p4 spkg from #8664:
     64The following spkgs are based on the '''obsolete''' MPIR 2.1.3.p4 spkg from #8664:
    6565
    6666 * http://spkg-upload.googlecode.com/files/mpir-2.3.1.p0.spkg [[BR]]
     
    7272You may want to give both of them a try, although the former is just intended as a "fallback" spkg in case problems introduced in the latter should arise.
    7373
    74 '''Note:''' On '''64-bit''' processors running '''32-bit''' operating systems, one currently has to set `ABI=32`, otherwise the build will fail. This is already fixed in #11964.
     74'''Note:''' On '''64-bit''' processors running '''32-bit''' operating systems, one currently has to set `ABI=32`, otherwise the build will fail. This is already fixed in #11964.  (This does '''not apply''' to the newer MPIR 2.4.0 p1 and p2 spkgs.)
     75
     76=== mpir-2.4.0.p0 (Leif Leonhardy, July 21st, 2011) ===
     77 * Upstream upgrade to MPIR 2.4.0 (#11616).
     78
     79=== mpir-2.3.1.p0 (Leif Leonhardy, July 20th, 2011) ===
     80 * Upstream upgrade to MPIR 2.3.1 (#11616).
     81 * Clean up .hgtags.
     82
     83=== mpir-2.1.3.p4 (Leif Leonhardy, July 19th, 2011) ===
     84 * #8664: Upgrade Sage's MPIR spkg to version 2.1.3 [[BR]]
     85 ...
     86
     87----
    7588
    7689[[BR]]
     
    106119----
    107120
    108 Slightly related: #11844 reports a potential race condition due to yasm when building MPIR in parallel. We've never run into this [before] though.
     121Slightly related: #11844 reports a potential race condition due to yasm when building MPIR in parallel.  We've never run into this [before] though.  The MPIR 2.4.0.'''p2''' spkg now includes a patch to upstream fixing that.
    109122
    110 ----
    111 
    112 === mpir-2.4.0.p0 (Leif Leonhardy, July 21st, 2011) ===
    113  * Upstream upgrade to MPIR 2.4.0 (#11616).
    114 
    115 === mpir-2.3.1.p0 (Leif Leonhardy, July 20th, 2011) ===
    116  * Upstream upgrade to MPIR 2.3.1 (#11616).
    117  * Clean up .hgtags.
    118 
    119 === mpir-2.1.3.p4 (Leif Leonhardy, July 19th, 2011) ===
    120  * #8664: Upgrade Sage's MPIR spkg to version 2.1.3 [[BR]]
    121  ...